cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From milend <mil...@ansco.com>
Subject Cocoon 1.8.2 and Tomcat 4.0b3 installation problems
Date Tue, 18 Sep 2001 23:21:36 GMT
Hello !

I was trying to run Cocoon 1.8.2 with Tomcat 4.0.b3 following the
instructions found
on http://xml.apache.org/cocoon/install.html#tomcat but i get
errors :
java.lang.NullPointerException
 at org.apache.catalina.loader.Extension.getRequired(Extension.java:336)

 at
org.apache.catalina.loader.StandardClassLoader.addRepositoryInternal(StandardClassLoader.java:1137)

 at
org.apache.catalina.loader.StandardClassLoader.<init>(StandardClassLoader.java:219)

 at
org.apache.catalina.startup.Bootstrap.createSharedLoader(Bootstrap.java:395)

 at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:122)
Exception in thread "main" java.lang.IllegalArgumentException:
addRepositoryInternal: java.lang.NullPointerException
 at
org.apache.catalina.loader.StandardClassLoader.addRepositoryInternal(StandardClassLoader.java:1145)

 at
org.apache.catalina.loader.StandardClassLoader.<init>(StandardClassLoader.java:219)

 at
org.apache.catalina.startup.Bootstrap.createSharedLoader(Bootstrap.java:395)

 at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:122)

and Tomcat doesn't want to start at all.
It seems to me that there is a kind of conflict between the existing
Tomcat's libraries and Cocoon's libraries.

Is there anybody experienced with Tomcat 4.0 and Cocoon 1.8.2?
Any help will be greatly appreciated!

Best regards:
Milen


---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message